const path = require('path')
const { projectPath } = require('./index')

// 开发阶段使用,手机访问时,需要使用ip地址才能连接到webpack服务,实现热替换
const currentIP = require('ip').address()

const appConfig = require(path.join(projectPath, 'app.config.js'))

module.exports = Object.assign({
  // 只是提供一个便捷, 其他地方不用重复拼接
  appServerPath: `http://${currentIP}:${appConfig.appPort}`,
  // 只是提供一个便捷, 其他地方不用重复拼接
  webpackServerPath: `http://${currentIP}:${appConfig.webpackDevServerPort}`,
}, appConfig)